# this makefile also gets parsed by shell scripts
# therefore it does not support full make syntax and features
# edit with care

# for full documentation check:
# https://twiki.cern.ch/twiki/bin/viewauth/Atlas/RootCore#Package_Makefile


# the name of the package:
PACKAGE              = NTupleFlattener

# the libraries to link with this one:
PACKAGE_PRELOAD      = 

# additional compilation flags to pass (not propagated to dependent packages):
PACKAGE_CXXFLAGS     = 

# additional compilation flags to pass (propagated to dependent packages):
PACKAGE_OBJFLAGS     = 

# additional linker flags to pass (for compiling the library):
PACKAGE_LDFLAGS      = 

# additional linker flags to pass (for compiling binaries):
PACKAGE_BINFLAGS     = 

# additional linker flags to pass (propagated to client libraries):
PACKAGE_LIBFLAGS     = 

# the list of packages we depend on:
PACKAGE_DEP = EventLoop EventLoopAlgs AsgTools EventLoopGrid

# the list of packages we use if present, but that we can work without :
PACKAGE_TRYDEP       = 

# list pattern of scripts to link directly into binary path:
PACKAGE_SCRIPTS      = 

# whether to use pedantic compilation:
PACKAGE_PEDANTIC     = 1

# whether to turn *off* optimization (set to dict to do it only for
# dictionaries):
PACKAGE_NOOPT        = 0

# whether to build no library (needs to be set if no source files are
# present):
PACKAGE_NOCC         = 0

# whether we build a reflex dictionary:
PACKAGE_REFLEX       = 0

# the list of all unit tests that should be called in recursive testing,
# i.e. in unit tests that call other unit tests
# for that unit tests need to pass on all machines, and run very fast
PACKAGE_RECURSIVE_UT = 



include $(ROOTCOREDIR)/Makefile-common
